eTransport User Manual v. 2.2

eTransport User Manual

Version 2.2

February 2009

Contents

  1. Opening eTransport in MS Visio

  2. Setting time resolution

  3. Drawing the system model: Sources

  4. Drawing the system model: Loads and markets

  5. Drawing the system model: Conversion elements

  6. Drawing the system model: Network elements

  7. Setting up investments

  8. Results: Ranking of investments

  9. Results: Operational analysis

  10. Graphical and display options

  11. Export results to Excel

This User Manual is not indended as a complete documentation of all components and functionality in eTransport. It is written more as a step-by-step tutorial which explains how to build a new case in the user interface to help new users get familiar with the model.


1. Opening eTransport in MS Visio

2. Setting time resolution

When MS Visio is started, eTransport appears as a separate template in the opening screen.

If MS Visio is already started, eTransport is opened by selecting File/ New/ eTransport from the menu line.

Each time eTransport is opened, the user is asked to specify which case to open. Cases that are already in the database will be listed. If the user wants to open a new (empty) case, click New. eTransport suggests a default name for the new case which can be changed by clicking Edit. This will only give the user the possibility to edit the Case name. To edit the case itself, choose the case from the list and click OK. Note that clicking Delete will remove the complete case from the database.

Once eTransport is opened, the user sees the main screen with the following sections:

  • Pan and zoom window is used to navigate on the drawing area
  • Energy technology templates contains the various technologies and energy carriers available
  • ‘Drag and drop’ component library contains the different technology models available within each template
  • Energy system drawing area is an unlimited area where the system model is drawn
  • Operation and investment analysis reporting window is used to report results from the operational and investment analyses

When eTransport is opened the regular menus of MS Visio are hidden, but can be activated again by right-clicking in the upper menu bar. All sections on the screen can be moved or hidden according to standard Visio functionality.

Example: Orkanger - Fictional case

In the following chapters, we will show how to build the simplified model Orkanger - Fictional case as practical example of using eTransport.

Saving a case

Under meny Case there are two different alternatives for saving a case that is currently open in eTransport:

  • Save: Saves the currently open case in the user interface to the database. This function is automatically executed only when a case is closed, so it is recommended to save regularly when you work on the case.
  • Save as: Creates a copy in the database of the currently open case. The user must choose a different name for the copy. Note that the currently open case is not affected by this operation. This is different from the way Save as is implemented e.g. in applications like Word and Excel.

Furthermore, a case can also be exported or imported in database (MDB) format from the Tools menu. (Menu choice Run investment analysis is explained in Setting up investments, while Create master will be explained in the forthcoming Advanced users manual.)

  • Export case: Creates a new database containing data only for one specific case. When this button is pressed, a list of all cases is presented so the user can select which case to export. Note: It does not have to be the case that is currently open in the eTransport interface! A new database file is created and this file can later be imported into another copy of the tool using the "Import case" function.
  • Import case: Creates a new case in the eTransport database using data from an external database. If the name of the case already exists in the database the lowest number making the case name unique is appended to the previous name.
  • Export output data to Excel: Creates a dedicated Excel workbook with macro functions to present data from the currently open case. Further documentation on the Excel functionality is given in Export results to Excel.
  • Export input data to Excel: Exports all input data in the case to an Excel file for easier inspection and control by the user.
2. Setting time resolution
Back to Index


2. Setting time resolution

1. Opening eTransport in MS Visio
3. Drawing the system model: Sources
  • Number of Timesteps
  • Setting Segments/Seasons
  • Setting Years and Investment periods

eTransport uses a flexible, multi-layer time resolution of Hourly profiles for a number of days that respresent one Segment (season) of a Year. Each Year consists of one or more segments, and each Investment period consists of one or more years. The complete period of analysis consists of one or more investment periods, and is termed Planning horizon.

The various time resolutions of the case should be specified before building a new system model. This is done by clicking Data in the menu bar. The flexible structure of eTransport allows the user to specify three levels of time resolution:

  • Number of timesteps for sequential operation in each period.
  • Edit years to specify investment periods and duration of analysis.
  • Edit Segments to specify seasonal load segments for each year.

For the rest of the choices in the Data menu, see Drawing the system model: Sources for Set currency and Setting up investments for Edit investments. The Edit case values and Edit default values give the user access to all data entered in the models, both case specific parameters and default parameters. These menu choices open the same dialog boxes as double-clicking each component.

Number of Timesteps

Clicking Set number of timesteps in the Data menu as shown above, allows the user to specify the number of sequential timesteps (hours) to represent each segment. The number of timesteps in each period should normally be specified as multiples of 24 (1 day), which is the default value.

Setting Segments/Seasons

Clicking Edit segments allows the user to specify the number of segments (seasons) within each year. As default, one single segment is used (Whole year) with a duration of 365 days (assuming that number of timesteps is set to 24).

Additional segments are entered by clicking New then Edit to change parameters.

For each segment (season) the user may specify the following parameters:

  • Name may be any alphanumeric name up to a length of 14 characters.
  • El load coefficient specifies the electricity loads relatively to the value given in the time series in each load node. If a load node is valid for all segments, this parameter is used to set different load levels for each segment.
  • Weight specifies the duration of the segment. If the number of timesteps is set to 24, Weight is the number of days in that segment. The sum of all segment weights times timesteps should be 8760.
  • Heat load coefficient specifies the heat loads relatively to the value given in the time series in each load node. If a load node is valid for all segments, this parameter is used to set different load levels for each segment.
  • Warm water load coefficient specifies the warm water loads relatively to the value given in the time series in each load node. If a load node is valid for all segments, this parameter is used to set different load levels for each segment.
  • Gas load coefficient specifies the gas loads relatively to the value given in the time series in each load node. If a load node is valid for all segments, this parameter is used to set different load levels for each segment.
  • El coefficient (dwellings) is valid only for the special Dwellings load module.
  • Heat coefficient (dwellings) is valid only for the special Dwellings load module.
  • Warm water coefficient (dwellings) is only valid for the special Dwellings load module.
  • Temperature coefficient specifies the mean outdoor temperature in the respective segment (season)
  • El price coefficient specifies electricity prices relatively to the value given in the time series for each electricity source. If the electricity source is valid for all segments, this parameter is used to set different price levels for each segment.
  • Gas price coefficient specifies gas prices relatively to the value given in the time series for each gas source. If the gas source is valid for all segments, this parameter is used to set different price levels for each segment.
  • Oil price coefficient specifies oil prices relatively to the value given in the time series for each oil source. If the oil source is valid for all segments, this parameter is used to set different price levels for each segment.

The Investment and Seasonal parameters flag is not relevant for this dialog box and is empty. It is visible due to the standard design of dialog boxes used in eTransport.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case two annual segments are specified. These are denominated Summer and Winter, respectively. The number of timesteps in each segment is 24.

The weight of the Summer segment is set to 265 days. All load and price factors are set to 1, indicating that the values specified in the different load and source models are used for this segment. The ambient temperature is set to 10 C.

The weight of the Winter segment is 100 days. Since Timesteps is 24, the sum of the two segments is thus one year. Note that if Timesteps is different from 24, the Weight variable will NOT be equivalent to number of days in the segment. In the Winter segment the load coefficient is set to 1.5, meaning that loads are 50% higher in this segment than specified in the load and source models.

Setting Years and Investment periods

Clicking Edit years allows the user to specify the duration of the investment periods. As a minimum, the first and last year of the period of analysis must be specified. If the model shall consider several investment periods during the analysis, the first year of each investment period must be specified. These investment periods do not have to be of equal length. eTransport will calculate the duration of each period based on the years specified by the user.

Additional years are added by clicking New then Edit to change name and input parameters.

For each year (investment period) the user may specify the following parameters:

  • Name may be any alphanumeric name, but the actual year in digits is recommended.
  • El change factor specifies how much electricity loads change relatively to the first year of the analysis. Will influence all electricity loads in the model.
  • Heat change factor specifies how much heat loads change relatively to the first year of the analysis. Will influence all heat loads in the model.
  • Warm water change factor specifies how much warm water loads change relatively to the first year of the analysis. Will influence all warm water loads in the model.
  • Gas change factor specifies how much gas loads change relatively to the first year of the analysis. Will influence all gas loads in the model.
  • El change factor (dwellings) is valid only for the special Dwellings load module.
  • Heat change factor (dwellings) is valid only for the special Dwellings load module.
  • Warm water change factor (dwellings) is only valid for the special Dwellings load module.
  • Gas price change factor specifies how much the gas price changes relatively to the first year of the analysis. Will influence all gas sources in the model.
  • Oil price change factor specifies how much the oil price changes relatively to the first year of the analysis. Will influence all oil sources in the model.
  • El price change factor specifies how much the electricity price changes relatively to the first year of the analysis. Will influence all electricity sources in the model.

Again, the Investment and Seasonal parameters flag is visible due to the standard design of dialog boxes used in eTransport. It is not relevant for this dialog box and is empty.

Example: Orkanger - Fictional case

The period of analysis of the Orkanger - Fictional case is 2010 to 2020, split in two investment periods of equal length. Thus, the years 2010, 2015 and 2020 are input in the dialog box.

In the first year (start of the analysis) all factors are set to 1.0. This value is valid for the first period 2010-2015.

In the second period (2015-2020) there is some increase in demand for electricity and heat, and in electricity prices. The gas price is also unchanged, assuming the use of long-term contract for purchase of gas. The other factors are not used in the case and are thus left unchanged.

It is not necessary to specify any parameters for the last year of the analysis (2020). As all changes are assumed to happen in the beginning of each investment period, eTransport only uses the last year to calculate the total operational cost and rest value of investments.

1. Opening eTransport in MS Visio
3. Drawing the system model: Sources


3. Drawing the system model: Sources

2. Setting time resolution
4. Drawing the system model: Loads and markets

When time resolution and investment period(s) are specified, the system model can be designed. For practical purposes the different models are separated into Sources, Loads/Markets, Conversion and Network elements in this guide, but they can be entered in random order.

Find the appropriate Source symbol from the templates to the left and simply drag it onto the drawing area. Once the model is dropped, a dialog box opens for the user to specify necessary parameters for the model. The dialog box of an existing component might be re-opened at any time by double-clicking on the component. These dialog boxes are technology specific, but in general there are four sets of parameters to input:

  • Component name
  • Data series, normally loads and prices
  • Technology specific parameters
  • Investment and Seasonal Parameters. This part of the dialog box is equal for all technology models.

The Data series box also contains the output variables from the respective model. These will contain the results of the operational analysis once this is performed.

The dialog box for Waste is shown here as example. For this technology the user can specify a maximum and minimum energy output per hour. If no value is given, the source has unlimited capacity.

Under the Investment and Seasonal Parameters flag the segment parameters are used to specify whether a component is available only in specific seasons of a year. Per default, a component is always available unless specified otherwise, so primarily the user should specify in which segment(s) it is not available. To avoid doubt, the use can also choose to specify in which segment(s) the component is available.

The year and investment specific parameters work in a similar way, and will be explained at a later stage. See Setting up investments.

By double-clicking on the Cost element in the data series window, a new dialog box opens where hourly prices must be given. This table is given in multiples of 24, tailored to an hourly time resolution. The user can also import/export the numbers from an ASCII file where the values are given in a column.

Monetary units

The monetary units in the model can be changed using the "Set currency" function in the Data menu, e.g. from [NOK/MWh] to [Euro/MWh]. At present, it is possible to choose between three units: EUR, NOK, and USD. Note that changing currency only changes the denomination text. There is no re-calculation of numerical values.

Example: Orkanger - Fictional case

In the Orkanger case there are 4 different energy sources; Elspot, gas and two different waste sources.

When the Elspot source is dropped on the drawing area, the Elpost dialog box will open. Note that the Elspot dialog box is slightly different from the Waste source shown above. The Cost table is the same, and a default elspot price is given. However, rather than specifying given limits to maximum and minimum energy output, the Max outtake is also a time dependent parameter. This is useful if the Elspot source is a (renewable) electricity source with intermittent generation capacity. In the Orkanger case, however, the source only represents the Elspot market available at a local substation. Thus, Max outtake is unspecified in this case. The Elspot market is available in all segments and investment periods, so the seasonal- and time specific parameters are not specified. The Elspot market is included in the investment termed Elspot, see Setting up investments.

If this source is available in one segment only, click Change... by the Exists in segment field. The same window as was used for defining segments is opened (and can be used to add/edit/delete segments) but in this case the user selects and unselects the respective segments only. Hold down CRTL+click to select more than one segment or to unselect a segment that is already selected. Note that if the user presses Delete rather than CTRL+click to unselect a segment, the segment is DELETED from the whole case!

In the Orkanger - Fictional case, however, no sources are limited to specific segments so all fields are left empty.

The Gas source has the same structure with gas price as time series and pressure as parameter. The gas pressure is important when the gas is to be transported in a gas network. In this case, however, the gas is supplied directly to a conversion component, so the pressure parameter is not needed. See Drawing the system model: Network elements for more information about gas networks.

The gas price is specified as a constant (fixed contract) price in [NOK/Sm3]. The gas source is part of the investment CHP 1.

Two different Waste sources are specified in the case. The first is assumed to be domestic waste, thus having a negative fuel cost of -10 NOK/MWh for being allowed to deliver to the plant. The energy content of this fuel is low, however, and the Max output parameter is set to 15 MWh/h. This is the maximum amount of energy that can be drawn from the source at any timestep. This source is specified as part of investment CHP 2.

The second Waste source is assumed to be prefabricated waste of higher quality, e.g. wood construction residues. The fuel cost is set to 100 NOK/MWh delivered to the plant. The energy content of this fuel is higher, and the Max output parameter is set to 20 MWh/h. This source is specified as part of investment CHP 3.

2. Setting time resolution
4. Drawing the system model: Loads and markets


4. Drawing the system model: Loads and markets

3. Drawing the system model: Sources
5. Drawing the system model: Conversion elements

Similar to the Source models, all Load- and Market models have the same basic structure. When a Load model is dropped on the drawing area, the dialog box asks for two sets of parameters:

  • Time series for the load demand (MWh/h)
  • Seasonal-, time- and investment specific parameters.

Components like sources, loads and conversion components can be connected directly to each other by their connectors. This creates a direct mathematical link between the components, and is the usual way to connect components when the distance between them is too small to care about transmission losses etc. If transmission losses and/or transmission costs are relevant, however, one or more network elements should be included in the model.

The steps for connecting components in the eTransport interface is partly controlled by the Visio functionality and has to be performed correctly to establish the proper link between the components. As an example, to connect an electricity source and an electricity load, click once on the component to select it. Then click a second time on the connector of the component to highlight the glue points. Do not double-click! Then click and drag the green glue point towards the connector of the source until the glue point turns red. The components are now connected. It does not matter whether the connector of the load is dragged to the source or vice versa. The connection remains even though the components might be moved anywhere on the screen, unless the user drags the glue points apart.

Sometimes a load can be supplied by several alternative energy carriers. A typical example is an aggregated heat load that can receive both electricity (for direct space heating and/or tap water heating), heat from a district heating network or heat from a local boiler. To enable a load to connect to multiple energy supplies, a function Duplicate node is implemented. Multiple connections are established in the following way:

  1. Establish the first connection as explained above

  2. Right-click on the connector and select Duplicate node

  3. Click once on the new connector (which is duplicated on top of the first connector)

  4. Drag the glue point of the new connector to the next supply component

Multiple connections are handled in different ways during optimisation depending on how the investment analysis is set up. If multiple supply options are defined as part of separate investments, only the supply valid for that particular investment will be used by the load. If multiple supply options co-exist in the same alternative, the load will draw energy from the supply that is cheapest at any time step, limited only by the capacity of that supply. This will influence the operational pattern of a system and thus the operational cost.

The Market model is actually an extension of a Load model, where the user can specify both a Load demand (MWh/h) to be covered and an option to sell to a market where the energy price (NOK/MWh) is variable or constant. The user might use both options for a combined load and market node, or only one of them for a pure load or market node. It is worth noting, however, the different implication of these functions during the operational analysis: The optimization will allways try to satisfy the load demand, while the option to sell to a market is only used in those timesteps when the net profit is positive.

Sources and Loads/Markets can be added to the system model in random order.

Example: Orkanger - Fictional case

In the Orkdal - Fictional case a single electricity load and market model and a limited number of heat loads are specified. The electricity load is an aggregated representation of electricity loads in the area of analysis. The electricity market is an option to sell surplus power to the local energy company at a fixed price of 100 NOK/MWh. If the CHP owner was able to access the Elspot market directly, the market price would be the same as the electricity cost given in the electricity source.

The six heat loads in the model are symbolic space heating loads with a constant value of 1 MWh/h during the whole day.

When drawing the system model, do not worry about the distance between the components. Any component or group of components can be moved to make room for more components at any time in the drawing process.

If one or more loads are available in one segment only, click Change... by the Exists in segment field in the respective load. The same window as was used for defining segments is opened (and can be used to add/edit/delete segments) but in this case the user selects and unselects the respective segments only. Hold down CRTL+click to select more than one segment or to unselect a segment that is already selected. Note that if the user presses Delete rather than CTRL+click to unselect a segment, the segment is DELETED from the whole case!

This function is useful with the load profile of a consumer is considerably different in different seasons. Several nodes can be added to represent the same consumer, each of them valid in one (or several) segments. In this way, seasonal variations in load can be represented for individual consumers. If the Load change factor under Edit segments is used, on the other hand, the change will be valid for all loads in the model

In the Orkanger - Fictional case, no loads are limited to specific segments so all fields are left empty.

Residential area

The load model termed Residential area is an older model developed before the current database structure was in place, and should be used with some caution. It has a different logic design that deserves some extra explanation. The model represents aggregated space heating, electricity and tap water loads for a given area. The net energy demand for the area is a product of specific energy consumption [MWh/m2/year] multiplied with total floor area [m2]. The current version only represents an annual average load, evenly distributed to the different time segments.

By double-clicking on the Data series label Number (of buildings), the user is only able to enter the total number of different building categories in the area.

To access the specification of building categories and their area and energy consumption parameters, the user has to choose Edit case values from the Data menu. In the list of available classes, find Residential area type and click "OK".

In the Residential area types dialog box the use can add, edit and delete building types in the same way as e.g. with Segments. In a new case, only the Standard house type is defined, but in this particular example more types are shown. In this dialog box, click once on the type and then "OK" to (finally) access the area [m2] and energy demand parameters [kWh/m2/year].

Once these parameters are specified for the relevant building types, the user can go back to the drawing area to define the number of different buildings existing in each Residential area. Any number of residential areas with different numbers of the various building types can be specified in a case, but all buildings will have the same area and demand parameters as specified in the Residential area type editor. As already mentioned, this model should be used with some caution...

3. Drawing the system model: Sources
5. Drawing the system model: Conversion elements


5. Drawing the system model: Conversion elements

4. Drawing the system model: Loads and markets
6. Drawing the system model: Network elements

Conversion elements is the largest category of models in eTransport, including all technologies that convert one form of energy into another. For practical purposes, also Storage modules are placed under this label. There is large variation in the technical components available, but their dialog boxes ask for three general types of parameters to input:

  • Data series (tables), e.g. emission coefficients and penalties
  • Technology specific parameters
  • Seasonal-, time- and investment specific parameters as for all other models

In this User Manual only a few of the Conversion elements will be shown, mostly related to the Orkanger - Fictional case. The following technologies are explained in this section:

  • Combined cycle gas turbine (CCGT)
  • Combined Heat and Power Plant (CHP)
  • Boilers
  • Storage
  • Heat pumps

Combined cycle gas turbine (CCGT)

The Combined Cycle Gas Turbine (CCGT) model is a straight-forward conversion model between gas input and electricity output. The current version assumes constant efficiency over the operational range, so the user only has to specify (average) efficiency and rated capacity. A more sophisticated model with piecewise efficiency curve and start-up cost can be implemented.

For a CCGT, the data series Emission coefficients and Emission penalties can be specified by double-clicking on the text in the data series window. It is worth pointing out how these values are treated by the optimization algorithm. When Emission coefficients are specified, total emissions resulting from the operation of the component is accounted for in the result report, but does NOT influence the solution directly. However, when also Emission penalties are specified, the emissions are given a monetary value that is added to the other costs in the object function, and will thus influence the optimal solution. In that case, the emissions are reported twice by eTransport, both as a purely accounting number and as part of the operational cost in the solution.

Combined Heat and Power Plant (CHP)

The Combined Heat and Power Plant is a more complex model that the CCGT but has the same general structure. As for the CCGT the user specifies rated capacity and the relative share of electricity and heat production. The sum of El and Heat factors can be interpreted as total efficiency of the plant, and should be less than 1.0. This model is a multi-fuel model, meaning that the same model can represent a number of different units using different fuels (gas, oil, biomass stc). By clicking on the Change... button next to the Fuel field, the user can select an appropriate fuel or define new fuel types. Remember to adjust the efficiency according to fuel type!

The output of the CHP model is always a combination of electricity AND heat, but the user can choose whether the plant operation is optimized according to electricity or heat demand. In the case of electricity prioritiy, surplus heat is simply dumped to balance the energy production. In the case of heat priority, however, a surplus electricity "market" is assumed. The user may choose to give a price to this market in the Data series field to represent a real option to sell surplus electricity, either at a spot market price or back to the grid company at a fixed price. Note, however, that in the Orkanger - Fictional case there is already a market model included. In that case, the dummy market of the CHP is not used by the optimization. Make sure that the price of a separate market model is always higher than the dummy market embedded in the CHP model(s) to avoid "competition" between these markets!

Further input data to the model are the Emission coefficients and Emission penalties as for the CCGT.

Output data series include El production, El surplus, Energy loss, Fuel consumption, Heat dump and Heat production to allow the user to keep track of all different operational modes of this component.

Boilers

When dropping a Boiler model in the drawing area, the following dialog box opens. The Boiler model is also a multi-fuel component that can represent a number of different boilers using different fuels. In the case of a Boiler the only output is heat, so clicking on the Change... button next to the Output field naturally brings up Heat as the only alternative. Emission coefficients and Emission penalties can be specified for a Boiler as for the CCGT and CHP models.

Storage

The Storage module is a general numerical storage applicable for all energy forms in eTransport. The storage unit is MWh. The user can specify Initital storage level [MWh], Max input rate [MWh/h], Max output rate [MWh/h] and Max and Min storage levels [MWh]. If none of these are specified, the operation of the storage is unrestricted. In addition, the user can specify Loss factor (0..1) proportional to storage level and fixed Storage cost, also proportional to storage level.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case 6 conversion elements are used; 1 electric boiler, 3 combined heat and power (CHP) plants and 2 storages.

For the electric boiler the fuel is set to El. The efficiency of the boiler is set to 90% (0.9 pu), and the maximum capacity is 10 MW. Since the boiler in this case uses electricity, no emission coefficients or penalties are specified. The boiler is included in the investment termed Elspot, see Setting up investments.

The first CHP in the case, denoted CHP_1, is fuelled by gas. Necessary parameters are Rated capacity (20 MW), El factor (0.5) and Heat factor (0.4). The sum of Heat and El factors is the net efficiency of the CHP (0.9). Typical Emission coefficients for natural gas are specified for this model, but not Emission penalties. This implies that emissions will be calculated, but will not be part of the object function. The unit is operating in Heat priority mode.

The gas fuelled CHP_1 is connected to the Gas source specified in Drawing the system model: Sources. Both the Gas source and the Gas CHP are included in the investment termed CHP 1.

The second CHP in the case, denoted CHP_2, is fuelled by domestic waste of low energy content. Thus, max output capacity is limited to 15 MW. For simplicity, the heat and el factors and the emission coefficients are set equal to the gas fired CHP_1, while Fuel is set to Waste. This unit is also operating in Heat priority mode.

Since the Waste supply may not match the load variations over time, a Storage unit is added between the supply and the CHP. The Max input and Max storage are in this case set to 100 MWh/h, large enough not to be a limiting factor in the operation of the CHP. The user should experiment with these values to see how they affect the operation of the system. For simplicity, Loss factor is set to zero. Min storage and Initial storage are also set to zero, while fixed storage cost is 1 NOK/MWh.

The Waste supply 2, the Storage 2 and the waste fuelled CHP_2 are all included in the investment termed CHP 2.

The third CHP in the case, denoted CHP_3, is fuelled by pre-processed waste of higher energy content. Thus, max output capacity is set to 20 MW, but other coefficients are simply kept equal to the gas fired CHP_1.

An intermediate storage with parameters equal to Storage 2 is added between the supply and the CHP.

The Waste supply 3, the Storage 3 and the waste fuelled CHP_3 are included in the investment termed CHP 3.

Heat pumps

There are no heat pumps in the Orkanger case, but the use of this special model should be explained in this manual. The user specifies the maximum output capacity of the heat pump Qcond [MW], and condensation (indoor) and evaporation (outdoor) temperatures for the pump. In the current version only average operating temperatures can be used, but in a future version the model shall be linked to the ambient temperature defined in the case parameters.

The condensation and evaporation temperatures define the ideal (lossless) operating conditions of the heat pump, and the user has to specify a practical efficiency of the pump. The necessary electricity Wel [MWh/h] to run the pump is then specified according to the following expression. The heat pump also has to be connected to a Heat source but since ambient heat is assumed to be free the user should not specify a fuel price for the source. This might be relevant, however, if the heat pump uses waste heat from an industrial process where the pump owner has to pay a fee for the heat.

4. Drawing the system model: Loads and markets
6. Drawing the system model: Network elements


6. Drawing the system model: Network elements

5. Drawing the system model: Conversion elements
7. Setting up investments
  • Electric power lines
  • District heating pipelines
  • Gas network

As described in Loads and Markets, components are usually connected directly to each other when the distance between them is too small to care about transmission losses etc. If transmission losses and/or transmission costs are relevant, however, one or more network elements should be included in the model.

Electric power lines

Electric power lines are one of the most common infrastructure elements in eTransport, representing geographical distance between two nodes - which in the case of electricity are denoted busbars. The electricity network in eTransport is modelled using a so-called DC power flow algorithm, making each power line uni-directional. The user does not need to consider which way the power will flow through the lines.

Once an electric power line is dropped on the drawing area, the following dialogue box is opened:

There are no data series to input for a power line, only Length measured in [km] and line Type. In the current version a limited number of 22 kV underground cables are predefined, but the user can specify any overhead line or underground cable type by clicking New and then Edit to open the El line type dialogue box. An electric power line can be defined as a separate investment, or be included in an investment together with other components, see Setting up investments.

Note that the El line type dialog box displays the Investment and Seasonal Parameters flag. This is due to the standard dialog box format, however, and the flag contains no data in this case.

Usually, busbars are placed between different elements in an electricity network like sources, lines/cables and loads. They work like general connecting nodes, and any number of components might be connected to a busbar. They don't require any numerical data but can be given a unique name.

The steps for connecting electric power lines to busbars is slightly different from connecting other components in the eTransport interface: Once the power line is dragged onto the drawing area, one end will automatically connect to the closest busbar (and turn red). Then click on the glue point of the the other end of the line and drag it towards the other busbar to connect the components. Do not double-click! The connection remains even though the busbars are moved anywhere on the screen, unless the user drags the glue points apart.

If the power line is dropped on the drawing area without connecting to any nearby busbars, both ends have to be connected manually by following the steps outlined above.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case no electricity network is defined, only a single busbar as a connecting node between El spot source, El Market and the various CHP alternatives. Note that all connectors are dashed, signifying that none of them exist in the initial stage but belong to one or more of the investment alternatives.

District heating pipelines

District heating networks (DH networks for short) are another major element in eTransport. Compared to Electric power lines, DH networks were initially modelled as mono-directional, meaning that the user needs to carefully consider the direction of energy flow when drawing the network. To facilitate the energy flow direction, three different network elements need to be used:

  • DH Feed-in Point
  • DH Junction Point
  • DH Load Point

A network of DH lines always has to start at a DH Feed-in Point. Components that produce heat like boilers and CHP's have to deliver their energy to the left side of the Feed-in Point, never directly to a DH line. Similarly, heat load always have to be connected to the right of a DH Load Point at the end of a line. Any number of heat producing units can be connected "outside" a DH Feed-in Point, and any number of loads can be connected "outside" a DH Load Point. Inside the DH network, any number of DH lines can be connected via a DH Junction Point, provided the user keeps track of the direction of energy flow. Note the arrow on the symbol of the DH pipeline! A common cause for program failure is DH pipelines drawn in the opposite direction of the energy flow. This is not discovered by the model before the operational analysis fails.

The energy delivered through a DH network is given as the mass flow multiplied by temperature difference, but in the LP formulation of eTransport only one of these can be a variable. In the DH pipeline model the water flow has to be specified by the user, allowing the model to optimize the water temperature throughout the network. The dialogue box for the DH pipeline thus asks for the following parameters: Water flow [m3/s], Loss factor [-] and Time delay [seconds].

The Time delay parameter can be used when the pipeline is long enough to influence e.g. the time for an increased heat output to propagate through the pipeline. For the standard time resolution of 1 hour, however, this parameter is normally not used. The Loss factor parameter specifies how much the ambient temperature [C] will influence the temperature losses in the pipeline. The following relation is used:

Since the temperature of the network is a variable, only minimum and maximum values of tour (DH_OUT) and retour (DH_BACK) temperatures are specified as Data series of the pipeline.

Due to the mono-directional nature of the DH network model, it is only applicable for a system solution with one single location of the heat source (but can of course handle multiple sources connected to the Feed-in Point). In some cases, however, a DH network is designed and operated with several sources in different locations. To enable the representation of such systems, an alternative model DH Simple Line is designed as a generic energy flow module. This model does not consider temperature differences or losses, though. Note that the arrowhead of the DH Simple Line is not filled with colour to make it easier to distinguish from the standard DH pipeline.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case a single DH Feed-in Point is used to connect the various alternative CHP units to a radial DH network. The DH loads are located along the main network with DH Junction Points at each branch-off.

The system drawing of the Orkanger - Fictional case is now complete and should look like this:

Gas network

Gas networks have a high degree of non-linearity, and a special linearization technique is used to enable a linear formulation which keeps track of both mass flow [m3/h] and pressure [bar]. To ensure consistency, all gas models must be connected through Gas nodes which keeps track of the pressure. Further components available in the gas module are Pipeline, Compressor, Valve, Storage, Market, Load and Source.

Gas nodes

All gas components have to be connected to gas nodes, but they have no other purpose in the optimization than to keep track of the gas pressure. The user has to specify maximum and minimum pressure as boundaries for the operation of the gas system. Make sure that the pressure limits are consistent throughout the gas network to avoid convergence problems!

Gas pipeline

The Gas pipeline is the main component in a gas network. The user has to specify the length of the pipeline and Maximum inlet and Minimum outlet pressures as boundaries for the operation of the pipeline. The optimal operating pressure of the pipeline is found by linearization of the Weymouth equation around pairs of inlet/outlet pressure combinations. The user specifies the number of linearization points in the dialog box, and the algorithm will set up the pressure combinations as illustrated below. More linearization points increases the accuracy of the solution but also the calculation time, so maximum 3-5 points should be specified.

Rather than specifying the pipeline dimension directly, the user can select from a predefined "set" of pipeline types. The user can specify any number of pipeline types in this dialog box, but note that below 15 inches (38 cm) the accuracy of the Weymouth equation is reduced. Again, the Investment and Seasonal Parameters flag is displayed due to the standard dialog box format but contains no data.

Gas compressor

If the pressure of e.g. a gas source is too low to drive the necessary gas amounts through the network, one or more Compressors are necessary. Complementary to the gas pipeline, the user specifies Maximum outlet and Minimum inlet pressures and number of linearization points. The algorithm will the iterate to find the optimal pressure level throughout the network. The compressor uses gas to operate, so the user also has to specify the power efficiency.

Gas valve

The Gas valve only serves to connect two nodes with different pressure levels, and has no influence on the optimization of the network.

Gas storage

The Gas storage module is basically the same as described in the previous section, except that the storage unit is standard m3 [Sm3] instead of [MWh]. The user can specify Initital storage level, Max input rate, Max output rate and Max and Min storage levels. If none of these are specified, the operation of the storage is unrestricted. In addition, the user can specify Loss factor (0..1) and fixed Storage cost proportional to storage level.

Gas markets, Gas loads and Gas sources are in principle the same components as for other energy carriers in eTransport. The only difference is that the user needs to specify a gas pressure, either as required delivery pressure for markets and loads or supply pressure for sources. These pressure levels serve as boundaries for the model when it establishes the optimal operational pressures in the gas network.

5. Drawing the system model: Conversion elements
7. Setting up investments


7. Setting up investments

6. Drawing the system model: Network elements
8. Results: Ranking of investments

As soon as a sufficient amount of components are added to the system model, the user can start setting up the Investment alternatives. The flexible structure of eTransport allows any number of components to be included in an investment, and one component can be included in several investments.

There are basically two different ways to access the Investments editor in eTransport; Either by clicking Change... at the Included in investment box in the dialogue box of ANY component, or by selecting Data/Edit investments from the pull-down menu of Visio. Both alternatives opens the List of investments dialogue box where investments can be added and/or edited.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case four different investment alternatives are defined: CHP 1 (gas fired), CHP 2 (domestic waste), CHP 3 (pre-fabricated waste) and Elspot.

By selecting one investment from the list and clicking Edit, the dialog box for that investment is opened. There are three parameters to input for each investment: Investment cost [NOK], Lifetime [years] and Annual expenses [NOK]. (See Chapter 2 for instructions to change monetary units.). Do NOT use the input forms under Data series. These parameters (Investment rule and Year rule) are given in the dialog box described below when running the investment analysis.

When an investment is defined, open the dialog box for each of the components to be included and select the appropriate investment from the Included in investment box. The Gas source and the CHP_1 is included in investment CHP 1.

If a component is included in more than one investment, hold down CRTL+click to select more than one investment from the list, or to unselect an investment that is already selected. Note that if the user presses Delete rather than CTRL+click to unselect an investment, the investment is DELETED from the whole case!

Similarly, components that belong to "conflicting" investment, can be specified as Excluded in investment. Typically, the option for direct electrical heating can be excluded from an investment in a DH network.

The other investments in the case are defined as shown below. The Waste supply 2, the Storage 2 and the waste fuelled CHP_2 are included in investment CHP 2:

Waste supply 3, Storage 3 and the waste fuelled CHP_3 are included in investment CHP 3:

The Elspot source and the Boiler are included in investment Elspot. Elspot source will have to be invested in the area no matter which other solutions are chosen, so in this case only a very low cost of an electric boiler is included.

When all components and connectors are added to the system model and all parameters specified, the Investment analysis can be performed. Select Tools/Run investment analysis from the Vision menu bar.

eTransport now opens the final Investment setup dialog box with a combination of interactive and non-interactive elements:

  • Investment combination matrix
  • Investment timing matrix
  • Number of operational analysis (Non-interactive; function of investment combinations and timing)
  • Desired number of investment alternatives/plans to rank
  • Interest rate for discounting
  • AMPL reporting window (non-interactive)

When the investment analysis is initiated, the model searches for missing parameters and gives a warning when some parameters are unspecified. This is not an error, but a reminder to the user to check if he or she has specified all necessary parameters.

Example: Orkanger - Fictional case

In the Orkanger - Fictional case four different investment alternatives were specified. These can be combined in a total of 16 different ways without any restrictions. With many different investment alternatives the number of possible combinations soon explodes, so the Combination and Timing matrices can be used to limit the possibilities. The following codes are used:

  • RED - Not allowed combination
  • GREEN - Possible combination
  • YELLOW - Mandatory combination

The color is changed by clicking on the respective field - right-click to return to RED code.

The Combination matrix must be evaluated horizontally. In the Orkanger - Fictional case the matrix has the following meaning:

  • If investment CHP 1 is carried out, investments CHP 2 and CHP 3 are not allowed, but Elspot can be carried out
  • If investment CHP 2 is carried out, investments CHP 1 and CHP 3 are not allowed, but Elspot can be carried out
  • If investment CHP 3 is carried out, investments CHP 1 and CHP 2 are not allowed, but Elspot can be carried out
  • If investment Elspot is carried out, this can be combined with any of the CHP investments

If, for instance, the Elspot fields had been yellow instead of green, this would mean that the Elspot investment had to be performed together with one of the CHP investments.

Similarly, the Timing matrix can be used to block (mark as RED) investments in certain time periods. Again, GREEN means possible to invest but not necessarily that the respective investment will actually be carried out. That is up to the optimisation algorithm to decide.

It is worth pointing out the difference between these Combination and Timing matrices compared to the Excluded in... and Included in... fields in each component. These matrices are valid for an Investment which can be any combination of components, while the component specific fields are valid for that component only. The user should take care not to enter conflicting data as this might cause the algorithm to fail.

The color codes entered in the Combination and Timing matrices can be found in numerical form in the Data series Investment rule and Year rule for each Investment as mentioned above. It is recommended to use the Combination and Timing matrices rather than the numerical parameters, as the former is easier to interpret.

Once the Run button is clicked, the model searches for missing parameter values and displays the following message. This is not an error, however, so if the user is confident that no essential parameters are missing the optimisation is initiated by clicking Continue.

Once the optimization is finished (Remember to allow the model to store results back to the database before clicking the screen!) the user can scroll upwards in the AMPL reporting window to check the value of the object function for each of the 48 operational analyses. This can be useful to search for events with extreme costs due to Energy Not Supplied or other infeasible situations.

A considerably more complicated investment combination matrix from a different case is shown below. If the user don't use the matrix to limit the nunmber of combinations, this case would have a total of 1024 possible combinations of investments (2 to the power of 10). Again, the matrix has to be evaluated horizontally.

This matrix has the following interpretation:

  • If HeatPump1 is invested, HeatPump2 and HeatPump3 may be invested (Green colour)
  • Investment Hy-RES cannot be combined with any other investments
  • If El Boiler1 is invested, El Boiler2 and El Boiler3 may be invested (Green colour)
  • If Gas Boiler1 is invested, Gas Boiler2 and Gas Boiler3 may be invested (Green colour)
  • If HeatPump2 shall be invested, HeatPump1 has to be invested (Yellow #1) while HeatPump3 may be invested (still Green colour)
  • If HeatPump3 shall be invested, both HeatPump1 (Yellow #1) and HeatPump2 (Yellow #2) have to be invested
  • If Gas Boiler2 shall be invested, Gas Boiler1 has to be invested (Yellow #1) while Gas Boiler3 may be invested (still Green colour)
  • If Gas Boiler3 shall be invested, both Gas Boiler1 (Yellow #1) and Gas Boiler2 (Yellow #2) have to be invested
  • If El Boiler2 shall be invested, El Boiler1 has to be invested (Yellow #1) while El Boiler3 may be invested (still Green colour)
  • If El Boiler3 shall be invested, both El Boiler1 (Yellow #1) and El Boiler2 (Yellow #2) have to be invested

From the Timing matrix one can read that no investments can be made in the first period (Red colour), investments numbered "1" can be made from the second period, "2" from the third period, and "3" from the fourth period. Note that the green colour signifies that an investment is allowed but the optimization algorithm will decide whether an investment is actually carried out.

6. Drawing the system model: Network elements
8. Results: Ranking of investments


8. Results: Ranking of investments

7. Setting up investments
9. Results: Operational analysis

Once the investment analysis is finished, the result window at the bottom of the screen will display the Investment algorithm window. This window has three parts: The annuity bar chart, selection of display variables and ranked list of investment plans. The bar chart shows annuities for each investment alternative for each investment period and finally a set of bars for total annuity over whole planning period. By selecting and deselecting alternatives from the ranked list to the right, the user can control which investment plans are displayed in the chart. The list of investments is ranked according to the cost displayed by the total annuity bars.

Per default, the chart shows operation (solid) and investment (left hatched) costs, but this can be controlled by selecting and deselecting the choice of display variables to the right of the chart. At present, four different emissions factors can be displayed: CO2, NOx, SOx and CO. Note that the graph displays amount of emissions, not cost. To display emissions on the same axis as the costs an equivalent cost of 1 NOK/tonne or 1 NOK/kg is used. This is done to get a visual impression of the emissions to compare the different investment plans, and should not be considered as real emission cost.

On the other hand, if the user has entered Emission penalties in the technology specific data of one or more components, true emission costs will be included in the operational cost of the bars. It is important to note this difference when using the Investment algorithm display.

There are two features worth noting with respect to the ranked list of investment plans at the bottom right of the display. First, the tree structure allows detailed specification of each plan. By clicking once on the plus marker in front of the Rank information, the first sub-level displays the actual investment projects that are included in this plan, and when these are initiated, as specified by the user in Setting up investments. Clicking again on the plus marker in front of each investment will open the second sub-level where each component included in that investment is specified.

Secondly, if the user clicks on the name of an investment plan (Rank X), a project or a component, the respective symbol(s) will be highlighted in the drawing area. This makes it easier to identify the relevant components in a large system model.

Example: Orkanger - Fictional case

Note that actual numbers presented in this tutorial may deviate from the numbers obtained with the Orkanger - Fictional case embedded in the latest installation package.

The Investment analysis window from the case has already been shown above. Note that at the bottom of the Rank list there are a number of investment alternatives that are deselected from the display. These are solutions that are numerically possible in the setup, but are without practical interest due to extremely high cost from large amounts of energy not supplied (ENS).

Rank 1:
The best investment plan consists of the investment alternatives CHP 2 and Elspot, with a resulting annuity of 12.080 MNOK/year. CHP 2 is the solution with low energy domestic waste with a negative fuel cost of -10 NOK/MWh, as specified in 3. Sources. The Elspot alternative is added to cover peak load periods where the CHP has insufficient capacity. The screendump below shows which technical components are included in these two investments.

Rank 2:
The second best investment plan consists of the investment alternatives CHP 3 and Elspot, with a resulting annuity of 23.492 MNOK/year. CHP 3 is the solution with high energy prefabricated waste with a fuel cost of 100 NOK/MWh, as specified in 3. Sources. The investment cost is equal for Rank 1 and Rank 2, but the operational cost is much higher in Rank 2 due to the more expensive fuel. The Elspot alternative is added to cover peak load periods where the CHP has insufficient capacity. The screendump below shows which technical components are included in these two investments.

Rank 3:
The third best investment plan consists of the investment alternatives CHP 1 and Elspot, with a resulting annuity of 41.754 MNOK/year. CHP 1 is the gas fired unit with a fuel cost of 3 NOK/Sm3, as specified in 3. Sources. Again, the Elspot alternative is added to cover peak load periods where the CHP has insufficient capacity. The screendump below shows which technical components are included in these two investments.

Rank 4:
The fourth best investment plan consists only of the Elspot alternative, and has a resulting annuity of 59.696 MNOK/year. In this case, the (annuity of) investment cost is negligible compared to the operation cost.

Further plans on the ranking list are various combinations and alternatives of these four, with increasing penalty cost due to energy not supplied. Although expensive, these are feasible solutions from a mathematical point of view, but without practical relevance. They are therefore omitted from the display.

7. Setting up investments
9. Results: Operational analysis


9. Results: Operational analysis

8. Results: Ranking of investments
10. Graphical and display options

In addition to the ranking of the investment plans, it is interesting and often necessary to inspect the different system solutions in more detail. This is done in the Operational analysis window. In this window, hourly profiles of all available variables from all technologies can be displayed for each Investment plan, for each investment Period and for each annual Segment.

Once a component is selected by clicking in the drawing area, the variables available for that component is shown in the rightmost Available data list, identified by the format Variable name(Component name). Selecting one or more variables will display these in the graph. The user can then scroll through Investment plan, Period and Segment to inspect how the component behaves in different situations and time periods. Chosing an Investment plan, Period or Segment where the component is not included (non-existing) will just display an empty graph.

By holding down CTRL and clicking on more components in the drawing area, variables from several components can be inspected together and compared with each other. For each new component selected, the list of Available data is expanded. Note that in the current version, the choice of colours for each curve is by default only, and some sets of variables might display unfavourable colour combinations. This can be mitigated by selecting the components in a different order before selecting variables to display.

The Operational analysis window is designed for on-screen evaluation of the case, and is not well suited for reporting. Therefore, a special button Export to Excel is added which simply dumps the variables currently displayed to an Excel sheet. From there it may be further used to generate a graph or table more suited for presentation in a PowerPoint or Word file.

Example: Orkanger - Fictional case

The Orkanger - Fictional case is constructed as a fictive example to illustrate the use of the eTransport model. As such, it does not include very exciting results, but we can take a closer look at some of the time profiles anyway. Starting with the Rank 1 plan (CHP 2 plus Elspot) the first graph shows the generation and flow of electricity in the Summer 2010-2015 segment (low load). The CHP (orange) generates electricity at rated load all 24 hours, covering the load (blue) with good margin most of the time. Only for a few hours morning and afternoon is it necessary to buy extra electricity from the Elspot market (red). Most of the day, excess generation is actually sold back to the market (green). The electricity boiler is not used in this segment.

The excess generation from the low load case might indicate that the CHP has too large capacity for the actual load. Scrolling to the Winter 2015-2020 segment (peak load), however, the situation is changed. Now the electricity load (blue) is larger than the CHP generation (orange) all hours. In addition, the boiler (black) is operating all day, so electricity has to be purchased from the market (red) all hours. No electricity is sold back to the market (green) in this segment.

Rank 2 has basically the same operation profiles as Rank 1 only with higher operational cost. Moving to Rank 3 (gas fired CHP), however, the profiles change considerably. Below the Summer 2010-2015 segment (low load) is shown again for this configuration. The electricity load (blue) is the same as above, but since the gas fuel is much more expensive than waste, the CHP (orange) is now run only part of the day to generate electricity and heat. In the periods where the CHP is not running, the boiler (black) has to operate to generate heat for the DH customers. Thus, large amount of electricity is purchased from the market (red) during night time when the electricity price is lower than CHP generating cost, while no electricity is sold back to the market (green).

Scrolling to the Winter 2015-2020 segment (peak load) again, basically the operational pattern is repeated. It is interesting to note, however, that electricity is sold back to the market (green) one single hour during the day when the market price exceeds the generating cost of the CHP. This is of course depending on the assumption that gas price is constant over the year while Elspot price changes.

Finally, we can take a look at one of the solutions that are disqualified due to high ENS penalties. The Investment analysis window reveals that the CHP 3 investment is included in Rank 5 but the Elspot alternative is missing. Thus, there is no way to deliver electricity or heat to the customers when the demand exceeds the capacity of the CHP. This alternative therefore has an annuity 10 times larger than Rank 4.

Going back to the Operational analysis window and selecting a couple of heat loads as example, all of them have a certain deficit during winter time (peak load) already in the 2010-2015 period. It does not look very large in the actual graph, but added over a 20 year time horizon the economic consequenses are formidable.

In this way, all components and solutions can be inspected, both to gain increased understanding of the various solutions, and to identify the cause of increased cost, emissions or other problems. Experience has shown that using eTransport "live" in this way together with stakeholders has a significant positive effect on the mutual understanding of different pros and cons in a given case, both for people with technical and non-technical background.

8. Results: Ranking of investments
10. Graphical and display options


10. Graphical and display options

9. Results: Operational analysis
11. Export results to Excel

This chapter presents miscellaneous functions that can be used to change or customize the graphical display of eTransport:

  • Hide technology layers
  • Toggle curved connectors
  • Toggle component name
  • Rotate component

Hide technology (color) layers

If the system to be analysed is large with a large number of components, it might be useful to hide some of the technologies to view only one or a few technologies at a time. Each technology is defined in a separate layer, and can be hidden by selecting View from the menu bar and unchecking the respective click box. This function only affects the graphical display of the system, the optimisation will be valid for the full system.

From this menu, also Result window, Pan and Zoom Window and Drawing Grid can be toggled.

Toggle curved connectors

The standard display format in eTransport is curved connectors between the components, but if the user prefers straight connectors there are two ways to toggle between these formats:

  • Through the View menu shown above, select Toggle curved lines to change between curved and straight lines. This function affects ALL connectors on screen.
  • For those components defined as connectors (network elements like power lines, pipelines etc), right-click on the component and select Right-angle Connector or Straight Connector from the popup menu shown below. This function only affects the respective component.

Further alternatives available from this menu are standard Visio functions related to the display of each graphical element on the screen.

Toggle component name

The most important components and investment objects in the model should generally have a representative name. The displayed name on the screen, however, is only a visual name for the benefit of the user, as the database uses an internal ID to keep track of each component. Thus, for most of the less important items like nodes, busbars, power lines, pipelines etc the name can just as well be hidden to reduce the amount of information visible on the screen. This is done by right-clicking on the component and unselecting the Show name option.

From the same menu, clicking Edit data will open the same dialog box that can be accessed by double-clicking on the component.

Rotate component

To rotate a component on the drawing area, first click once to select the component, then click and drag using the green handle above the component:

Per default, the component name will now also be "rotated" to a position above the component. The name can be moved back down below the component by clicking and dragging with the yellow text handle:

9. Results: Operational analysis
11. Export results to Excel


11. Export results to Excel

10. Graphical and Display Options

The results from the investment and operational analysis in eTransport (case-data) can be exported to Excel. For the interpretation of the exported results, an Excel-Template is integrated in the user interface.

  • Opening the template
  • Worksheets and functions

Opening the template

  1. Export data from the analysis in eTransport to excel: Choose Tools -- Export to Excel in the eTransport User Interface. You will be asked for where to save the .xls file on your computer.

  2. When the export is finished the following dialog is shown:

  3. When clicking OK, the Excel-file containing the exported data can be opened by clicking "Yes" in the next dialog:

  4. At this stage it is possible to open the Excel-template to sum up the data exported from eTransport. The case-data to analyse is loaded automatically when opening the template.

When opening the Excel-template manually (default location in the eTransport folder: eTransport\excel_template\template.xls) Excel displays a security warning where the macros have to be enabled. Clicking the "Load File" Button on worksheet "results" opens a file dialog where an Excel File containing exported case-data from eTransport can be chosen.

A backup of "template.xls" is to be found in: eTransport\system (template_backup.xls). When opening the excel-template automatically in the eTransport user interface, a copy of the template is stored in: eTransport\excel-template (template_copy.xls).

Worksheets and functions

Results
"Load File" Button to import data and update Table and Charts. Tables: Annuity, Investment Cost, Operating Cost and Emissions.

Chart_investment
Four different Charts: Annuity, Investment Cost, Operating Cost, Emissions (visualize table data).

Analyse_operating
Possibility to check operating of components per time step.

  1. Choose rank, period and segment in the dialog box.
  2. When clicking the OK button, the list in the bottom of the dialog box is updated with the corresponding components.
  3. Choose one component and click OK.
  4. The data for the component chosen is inserted in line 18/19
Button "Copy to plot":
  • Copies the data displayed in line 18/19 to the plot area (starts in line 25)
  • It is possible to copy several lines to the plot area.
Button "Plot":
  • Data stored in the plot area is presented in the chart beneath the button.
Button "Clear":
  • Clear data from the chart, the plot area and from line 18/19.

Analyse_energy
Possibility to sum up the energy used/produced by one component per segment, period (year/years) and during the whole period of analysis (time dependent parameters, e.g. MWh/h, NOK/h).
  1. Choose a rank (investment alternative) in the dialog box.
  2. When clicking the OK button, the list in the bottom of the dialog box is updated with the corresponding components.
  3. Choose one component and click OK.
  4. A table is generated which sums up the parameter data for the chosen component.
"n.e" in the table means that the chosen component doesn't exist in the according segment or period (user definition in the eTransport interface in MS Visio)

To use the "Sum up data" function is only appropriate for time-dependent parameters (example MWh/h, NOK/h). However, it is possible to choose and sum up other parameters. In this case the message "Check unit!" is displayed underneath the table.

Year_segment
Sums up year and segment information defined in eTransport.

Investment_ranking
Displays in which period the different investment alternatives are carried out.

Calculate_investment
Displays investments cost per period and per year (annuity, last column).

Calculate_operating
Displays operating cost per period and per year (annuity, last column).

Emissions
Emissions (CO2, SO2, NOx, CO) per period and average per year.

10. Graphical and Display Options


Easy CHM - Create your first CHM help or CHM ebook files in 10 seconds with Easy CHM

This CHM was compiled by an UNREGISTERED version of Easy CHM.
Registered version doesn't compile this page into CHM!

Easy CHM Written by: GuohuaSoft |  | Screen Shot
 | File Size: 2989k - 2.84MB | Type: Shareware
Keywords: make chm, create chm, chm converter, html2chm, htm2chm, txt2chm, generate chm, chm maker, convert chm, create Microsoft Htmlhelp, generate Html help, help file generator, chm creation tool, create compressed html-help

Description:
Create your first CHM help or CHM ebook files in 10 seconds with Easy CHM.

Key features:

  • Make CHM (Html Help) file by importing folders and all sub folders in a fast speed.
  • Automatically generate TOC and Index Items by parsing from Html title/file name/text of a specific line.
  • Easy to use TOC editor and support 'Search and replace in TOC items', etc.
  • Fully Multi-Selection support, it's very convenient when Moving/Replacing/Deleting/Drag-Dropping Topics and Batch change icons, etc.
  • Easy CHM can drag-drop or move multiple topics at a time, and there're many handy options like 'Move UP/Down', 'Move Top/Bottom' and 'Move Sibling UP/Down' for you to choose.
  • Fully Keyboard support.
  • With the internal fast Virtual Tree, it's very fast and stable when editing a very large TOC tree.
  • Convert HTM, HTML, MHT, Picture and other files to CHM.
  • Automatically create a Context-Sensitive Html Help.
  • Automatically output Alias and Map files for developers to use.
  • EasyCHM can save/load project file, it's easy for the content developers for documentation to manage or edit their documents.
  • Convert any CHM files to html freely.
  • Plenty of customized options.
  • Multilanguage support, the interface of the program can be changed to Arabic, English, French, German, Korean, Polish, Portuguese, Russian, Simplified Chinese, Spanish, Swedish, Traditional Chinese, Turkish, Ukrainian.
  • Built-in CHM files decompiler.
  • Easy-to-use interface.
Contact Info:

Via Web:

Zipghost website: http://www.zipghost.com

eTextWizard website: http://www.etextwizard.com

Via E-mail:

webmaster@etextwizard.com
Order Online:

http://www.zipghost.com/order_easychm.html

http://www.etextwizard.com/order_easychm.html

Download URLs:

Supported Operating Systems: Win98,WinME,WinXP,Windows2000,WinVista
System Requirements:
Install Support: Install and Uninstall